## icedtea-web 1.3

=== debian/changelog ===
icedtea-web (1.3-1ubuntu1) quantal; urgency=low

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Sep 2012 16:03:18 +0200

icedtea-web (1.3-1) unstable; urgency=high

  * IcedTea-Web 1.3 release.
  * Security updates:
    - CVE-2012-3422: Potential read from an uninitialized memory location.
    - CVE-2012-3423: Incorrect handling of not 0-terminated strings.
  * NetX fixes:
    - PR898: signed applications with big jnlp-file doesn't start (webstart
      affect like "frozen").
    - PR811: javaws is not handling urls with spaces (and other characters
      needing encoding) correctly.
  * Plugin fixes:
    - PR820: IcedTea-Web 1.1.3 crashing Firefox when loading Citrix XenApp.
    - PR863: Error passing strings to applet methods in Chromium.
    - PR895: IcedTea-Web searches for missing classes on each loadClass or
      findClass.
    - PR861: Allow loading from non codebase hosts. Allow code to connect
      to hosting server.
    - PR518: NPString.utf8characters not guaranteed to be nul-terminated.
    - PR722: META-INF/ unsigned entries should be ignored in signing.
    - PR855: AppletStub getDocumentBase() doesn't return full URL.
    - PR1011: Folders treated as jar files in archive tag.
    - PR1106: Buffer overflow in plugin table.
    - PR975: Plugin should not include classpaths specified in jar manifests
      when using jnlp_href.
    - PR588: Cookies not written from cookie jar to browser cookies.
  * Common fixes:
    - PR918: java applet windows uses a low resulution black/white icon.
    - Disambiguate signed applet security prompt from certificate warning.
    - PR955: regression: SweetHome3D fails to run.

  * For Ubuntu quantal, set priorities for alternatives higher than for
    OpenJDK 6.
  * Call update-alternatives when the existing priority for the alternative
    is lower than the current one.
  * icedtea-netx: Don't set the alternatives to a OpenJDK which is not
    installed. Closes: #681269.
  * Allow building the plugin for OpenJDK 6 using OpenJDK 7.
  * Build with hardening defaults.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Sep 2012 15:15:52 +0200

=== debian/control ===
Source: icedtea-web
Section: java
Priority: extra
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
Standards-Version: 3.9.3
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web

Package: icedtea-netx
Architecture: any
Multi-Arch: same
Depends: ${netx:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea6-plugin
Section: web
Architecture: all
Depends: icedtea-6-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-7-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< 1.2~), icedtea-plugin (<< 1.1.2-1~), openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package contains the architecture independent files.

Package: icedtea-6-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: openjdk-6-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Replaces: icedtea-gcjwebplugin, openjdk-6-jre (<< 6b18-1.8.7-3), icedtea-plugin (<< 1.2~pre1-1~)
Provides: icedtea6-plugin
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 6 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;jpi-version=1.6.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;jpi-version=1.6.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

Package: icedtea-7-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: openjdk-7-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Xb-Npp-Description: IcedTea Java Web Browser Plugin for OpenJDK 7 (execution of applets on web pages)
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a, aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-Name: The IcedTea Web Browser Plugin
Xb-Npp-MimeType: application/x-java-vm, application/x-java-applet, application/x-java-applet;version=1.1, application/x-java-applet;version=1.1.1, application/x-java-applet;version=1.1.2, application/x-java-applet;version=1.1.3, application/x-java-applet;version=1.2, application/x-java-applet;version=1.2.1, application/x-java-applet;version=1.2.2, application/x-java-applet;version=1.3, application/x-java-applet;version=1.3.1, application/x-java-applet;version=1.4, application/x-java-applet;version=1.4.1, application/x-java-applet;version=1.4.2, application/x-java-applet;version=1.5, application/x-java-applet;version=1.6, application/x-java-applet;version=1.7, application/x-java-applet;jpi-version=1.7.0_00, application/x-java-bean, application/x-java-bean;version=1.1, application/x-java-bean;version=1.1.1, application/x-java-bean;version=1.1.2, application/x-java-bean;version=1.1.3, application/x-java-bean;version=1.2, application/x-java-bean;version=1.2.1, application/x-java-bean;version=1.2.2, application/x-java-bean;version=1.3, application/x-java-bean;version=1.3.1, application/x-java-bean;version=1.4, application/x-java-bean;version=1.4.1, application/x-java-bean;version=1.4.2, application/x-java-bean;version=1.5, application/x-java-bean;version=1.6, application/x-java-bean;version=1.7, application/x-java-bean;jpi-version=1.7.0_00
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)
ifneq (,$(DEB_HOST_MULTIARCH))
  ifneq (,$(filter $(distrel),natty oneiric))
    DEB_HOST_MULTIARCH =
    multiarch_dir =
  endif
endif
jre_versions = 6
# for simplicity build the plugin for 7 for multiarch setup only,
# anything else requires backports.
ifneq (,$(DEB_HOST_MULTIARCH))
  jre_versions += 7
endif

ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
  buildflags := \
	CXXFLAGS='$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)' \
	LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'
endif

arch_map	 := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
archdir_map     := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64

jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))

ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze wheezy sid))
  is7_default = no
  default_version = 6
else
  is7_default = yes
  default_version = 7
endif

TOP = usr/lib/jvm
jdirname = java-$(shortver)-$(origin)
origin = openjdk
basename = openjdk-$(shortver)
ifneq (,$(DEB_HOST_MULTIARCH))
  jdk_home = $(TOP)/java-6-openjdk-$(DEB_HOST_ARCH)
  jdk7_home = $(TOP)/java-7-openjdk-$(DEB_HOST_ARCH)
else
  jdk_home = $(TOP)/java-6-openjdk
  jdk7_home = $(TOP)/java-7-openjdk
endif
basedir = $(jdk_home)
base7dir = $(jdk7_home)
vendor = IcedTea
shortver = 6
last_npp_version = 6b18~pre2-2
priority = 1061
# not yet higher than for 6
priority7 = $(if $(filter yes, $(is7_default)),1071,1060)
plugin_name = IcedTeaPlugin.so

ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa sparc64)$(filter $(distrel), dapper))
  with_plugin_pkg = no
else ifneq (,$(filter $(DEB_HOST_ARCH)-$(distrel), sparc-hardy sparc-jaunty))
  with_plugin_pkg = no
else
  with_plugin_pkg = yes
endif

ifeq ($(distribution),Debian)
  ifneq (,$(filter $(distrel),lenny))
    bd_plugin = xulrunner-dev (>= 1.9.0),
  else
    bd_plugin = xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64],
    #xulrunner_depends = xulrunner-1.9.1
  endif
else
  ifneq (,$(filter $(distrel),gutsy feisty edgy dapper))
    bd_plugin = firefox-dev,
  else ifneq (,$(filter $(distrel),intrepid))
    bd_plugin = xulrunner-1.9-dev,
  else ifneq (,$(filter $(distrel),hardy jaunty))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev [!sparc],
    xulrunner_depends = xulrunner-1.9.2
  else ifneq (,$(filter $(distrel),karmic lucid maverick))
    # all these use the xulrunner-1.9.2 backports in *-security
    bd_plugin = xulrunner-1.9.2-dev,
    xulrunner_depends = xulrunner-1.9.2
  else
    bd_plugin = firefox-dev,
    xulrunner_depends = firefox (>= 4.0~b7) | chromium-browser | epiphany-browser | midori
  endif
endif


ifeq ($(is7_default),yes)
  bd_openjdk = openjdk-7-jdk,
  jdk_default_home = $(jdk7_home)
  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
else
  bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
  jdk_default_home = $(jdk_home)
  netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  netx_depends := $(netx_depends), icedtea-netx-common (>= $${binary:Version})
endif

ifeq ($(distribution),Ubuntu)
  ifneq (,$(filter $(distrel),jaunty intrepid hardy gutsy feisty edgy dapper))
    # FIXME: check for every release ...
    browser_plugin_dirs = xulrunner-addons firefox iceape iceweasel mozilla midbrowser xulrunner
  else
    browser_plugin_dirs = mozilla
  endif
else
  browser_plugin_dirs = mozilla
endif

java_launcher = /$(basedir)/bin/java
java7_launcher = /$(base7dir)/bin/java
ifeq ($(distribution),Ubuntu)
  ifeq (,$(filter $(distrel),karmic jaunty intrepid hardy gutsy feisty edgy dapper))
    java_launcher = cautious-launcher %f /$(basedir)/bin/java
  endif
endif

control_vars = \
	'-Vxulrunner:Depends=$(xulrunner_depends)' \
	'-Vnetx:Depends=$(netx_depends)'

#	--prefix=/$(jdk_home) \

CONFIGURE_ARGS = \
	--prefix=/usr \
	--with-pkgversion="$(PKGVERSION)"

ifneq ($(with_plugin_pkg),yes)
  CONFIGURE_ARGS += --disable-plugin
endif

p_netx = icedtea-netx
p_comm = icedtea-netx-common
p_plug = icedtea-6-plugin
p_plug7 = icedtea-7-plugin
d_netx = debian/$(p_netx)
d_comm = debian/$(p_comm)
d_plug = debian/$(p_plug)
d_plug7 = debian/$(p_plug7)

debian/control: debian/control.in debian/rules
	@cp -p debian/control debian/control.old
	sed \
		-e 's/@bd_plugin@/$(bd_plugin)/g' \
		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
		-e 's/@default_version@/$(default_version)/g' \
	     debian/control.in \
	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
		  > debian/control
	@if cmp -s debian/control debian/control.old; then \
	  rm -f debian/control.old; \
	else \
	  diff -u debian/control.old debian/control; \
	  echo "debian/control did change, please restart the build"; \
	  rm -f debian/control.old; \
	  exit 1; \
	fi

packaging-files:
	for f in debian/*.in; do \
	  case "$$f" in debian/control.in) continue; esac; \
	  case "$$f" in \
	    debian/PLUGIN.*.in) f2=$$(echo $$f | sed 's/PLUGIN/$(p_plug)/;s/\.in$$//');; \
	    debian/PLUGIN7.*.in) f2=$$(echo $$f | sed 's/PLUGIN7/$(p_plug7)/;s/\.in$$//');; \
	    *) f2=$$(echo $$f | sed 's/JB/$(basename)/;s/\.in$$//'); \
	  esac; \
	  sed \
	      -e 's/@basename@/$(basename)/g' \
	      -e 's/@vendor@/$(vendor)/g' \
	      -e 's/@RELEASE@/$(shortver)/g' \
	      -e 's,@TOP@,$(TOP),g' \
	      -e 's,@basedir@,$(basedir),g' \
	      -e 's,@base7dir@,$(base7dir),g' \
	      -e 's,@jdirname@,$(jdirname),g' \
	      -e 's/@srcname@/$(srcname)/g' \
	      -e 's/@jvmarch@/$(jvmarch)/g' \
	      -e 's/@archdir@/$(archdir)/g' \
	      -e 's/@tag@/$(tag)/g' \
	      -e 's/@priority@/$(priority)/g' \
	      -e 's/@priority7@/$(priority7)/g' \
	      -e 's/@mantag@/$(mantag)/g' \
	      -e 's/@multiarch@/$(DEB_HOST_MULTIARCH)/g' \
	      -e 's,@plugin_name@,$(plugin_name),g' \
	      -e 's/@pkg_plugin7@/$(p_plug7)/g' \
	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
	      -e 's,@last_npp_version@,$(last_npp_version),g' \
	      -e 's,@java_launcher@,$(java_launcher),g' \
	      -e 's,@java7_launcher@,$(java7_launcher),g' \
	    $$f > $$f2; \
	done

configure: configure-stamp $(if $(filter 7,$(jre_versions)),configure7-stamp)
configure-stamp:
	dh_testdir
	rm -rf build
	mkdir -p build
	cd build \
	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
	touch $@
configure7-stamp:
	dh_testdir
	rm -rf build7
	mkdir -p build7
	cd build7 \
	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
	touch $@

build-arch: build-stamp

## icedtea-web 1.3.1

=== debian/changelog ===
icedtea-web (1.3.1-1+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * rebuild with OpenJDK 7

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Tue, 08 Jan 2013 15:01:43 +0400

icedtea-web (1.3.1-1) unstable; urgency=high

  * IcedTea-Web 1.3.1 release.
  * Security Updates
    - CVE-2012-4540: Heap-based buffer overflow after triggering event
      attached to applet.
  * Common
    - PR1161: X509VariableTrustManager does not work correctly with OpenJDK7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 12:39:11 +0100

icedtea-web (1.3-2) unstable; urgency=high

  * Configure with --disable-docs (the developer docs aren't shipped
    anyway). Works around the build failure on s390.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Sep 2012 23:03:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk (>= 7u3-2.1.3~), zip, lsb-release, libgtk2.0-dev, pkg-config
+#, default-jre-headless
 Standards-Version: 3.9.3
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -38,7 +39,7 @@
 Package: icedtea-plugin
 Section: web
 Architecture: all
-Depends: icedtea-7-plugin, ${misc:Depends}
+Depends: icedtea-6-plugin, ${misc:Depends}
 Description: web browser plugin to execute Java applets (dependency package)
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
     multiarch_dir =
   endif
 endif
-jre_versions = 6
+jre_versions = 7
 # for simplicity build the plugin for 7 for multiarch setup only,
 # anything else requires backports.
-ifneq (,$(DEB_HOST_MULTIARCH))
-  jre_versions += 7
-endif
+#ifneq (,$(DEB_HOST_MULTIARCH))
+#  jre_versions += 7
+#endif
 
 ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
   buildflags := \
@@ -47,7 +47,7 @@
 archdir	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 			   $(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
-ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze wheezy sid))
+ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
   is7_default = no
   default_version = 6
 else
@@ -152,7 +152,8 @@
 
 CONFIGURE_ARGS = \
 	--prefix=/usr \
-	--with-pkgversion="$(PKGVERSION)"
+	--with-pkgversion="$(PKGVERSION)" \
+	--disable-docs
 
 ifneq ($(with_plugin_pkg),yes)
   CONFIGURE_ARGS += --disable-plugin

## icedtea-web 1.3.2

=== debian/changelog ===
icedtea-web (1.3.2-1ubuntu0.12.10.3) quantal-security; urgency=medium

  * SECURITY UPDATE: info disclosure via insecure temporary directory use
    - debian/patches/CVE-2013-6493.patch: create safe directory in
      plugin/icedteanp/IcedTeaNPPlugin.cc, added helper functions to
      plugin/icedteanp/IcedTeaPluginUtils.*.
    - CVE-2013-6493
  * fix ftbfs with newer xulrunner:
    - debian/patches/xulrunner-27-ftbfs.patch
    - debian/control*: added dh-autoreconf to Build-Depends

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Mar 2014 15:53:36 -0500

icedtea-web (1.3.2-1ubuntu0.12.10.2) quantal-security; urgency=low

  * debian/patches/work-with-icedtea-8004584.patch: work with OpenJDK build 25

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Jul 2013 13:24:33 -0500

icedtea-web (1.3.2-1ubuntu0.12.10.1) quantal-security; urgency=low

  * Upload to quantal-security.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 01:17:42 +0200

icedtea-web (1.3.2-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 00:55:56 +0200

icedtea-web (1.3.2-1) unstable; urgency=high

  * IcedTea-Web 1.3.2 release.
  * Security Updates:
    - CVE-2013-1927: fixed gifar vulnerability.
    - CVE-2013-1926: Class-loader incorrectly shared for applets with same
      relative-path.
  * Common:
    - Added new option in itw-settings which allows users to set JVM arguments
      when plugin is initialized.
  * NetX:
    - PR580: http://www.horaoficial.cl/ loads improperly.
  * Plugin:
    - PR1260: IcedTea-Web should not rely on GTK.
    - PR1157: Applets can hang browser after fatal exception.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2013 00:45:29 +0200

icedtea-web (1.3.1-3ubuntu1) raring; urgency=low

  * Regenerate control file.

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 07 Mar 2013 19:04:55 -0600

icedtea-web (1.3.1-3) unstable; urgency=low

  * Team upload.
  * Remove mips and mipsel from architectures.  (Closes: #701091)

 -- Niels Thykier <niels@thykier.net>  Thu, 21 Feb 2013 21:30:08 +0100

icedtea-web (1.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't forget to remove the itweb-settings alternative.  (Closes: #668444)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Feb 2013 13:09:09 +0100

icedtea-web (1.3.1-2) unstable; urgency=low

  * Team upload.
  * Rebuild with Java7 as "default" to fix the Java7 variant of
    the Java plugin.  Thanks to Bálint Réczey for the report.
    (Closes: #693623)

 -- Niels Thykier <niels@thykier.net>  Thu, 20 Dec 2012 16:06:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: icedtea-web
 Section: java
 Priority: extra
-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk (>= 7u3-2.1.3~), zip, lsb-release, libgtk2.0-dev, pkg-config
-#, default-jre-headless
+Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless, dh-autoreconf
 Standards-Version: 3.9.3
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
 Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web
 
 Package: icedtea-netx
-Architecture: any
+Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: ${netx:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
@@ -39,7 +39,7 @@
 Package: icedtea-plugin
 Section: web
 Architecture: all
-Depends: icedtea-6-plugin, ${misc:Depends}
+Depends: icedtea-7-plugin, ${misc:Depends}
 Description: web browser plugin to execute Java applets (dependency package)
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
@@ -62,7 +62,7 @@
 
 Package: icedtea-6-plugin
 Section: web
-Architecture: any
+Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: openjdk-6-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
@@ -79,7 +79,7 @@
 
 Package: icedtea-7-plugin
 Section: web
-Architecture: any
+Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: openjdk-7-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)

=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,12 @@
     multiarch_dir =
   endif
 endif
-jre_versions = 7
+jre_versions = 6
 # for simplicity build the plugin for 7 for multiarch setup only,
 # anything else requires backports.
-#ifneq (,$(DEB_HOST_MULTIARCH))
-#  jre_versions += 7
-#endif
+ifneq (,$(DEB_HOST_MULTIARCH))
+  jre_versions += 7
+endif
 
 ifneq (,$(wildcard /usr/bin/dpkg-buildflags))
   buildflags := \
@@ -50,9 +50,15 @@
 ifneq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise lenny etch squeeze))
   is7_default = no
   default_version = 6
+  default_plugin_version = 6
 else
   is7_default = yes
   default_version = 7
+  ifneq (,$(filter $(distrel), wheezy sid))
+    default_plugin_version = 6
+  else
+    default_plugin_version = 7
+  endif
 endif
 
 TOP = usr/lib/jvm
@@ -114,11 +120,15 @@
 ifeq ($(is7_default),yes)
   bd_openjdk = openjdk-7-jdk,
   jdk_default_home = $(jdk7_home)
-  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 else
   bd_openjdk = openjdk-6-jdk (>= 6b23~pre10~),
   jdk_default_home = $(jdk_home)
+endif
+
+ifeq ($(default_plugin_version),7)
   netx_depends = openjdk-7-jre | openjdk-6-jre (>= 6b23~pre10~)
+else
+  netx_depends = openjdk-6-jre (>= 6b23~pre10~) | openjdk-7-jre
 endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
@@ -174,6 +184,7 @@
 		-e 's/@bd_plugin@/$(bd_plugin)/g' \
 		-e 's/@bd_openjdk@/$(bd_openjdk)/g' \
 		-e 's/@default_version@/$(default_version)/g' \
+		-e 's/@default_plugin_version@/$(default_plugin_version)/g' \
 	     debian/control.in \
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
@@ -228,14 +239,3 @@
 	rm -rf build
 	mkdir -p build
 	cd build \
-	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
-	touch $@
-configure7-stamp:
-	dh_testdir
-	rm -rf build7
-	mkdir -p build7
-	cd build7 \
-	  && $(buildflags) ../configure $(CONFIGURE_ARGS) --with-jdk-home=/$(jdk_default_home)
-	touch $@
-
-build-arch: build-stamp

## icedtea-web 1.4

=== debian/changelog ===
icedtea-web (1.4-3~deb7u3) wheezy-security; urgency=medium

  * Default to icedtea-7-plugin. Java6 is unsupported.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Aug 2016 23:20:22 +0200

icedtea-web (1.4-3~deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4349.diff patch.
    CVE-2013-4349: Fix IcedTeaScriptableJavaObject::invoke off-by-one
    heap-based buffer overflow after triggering event attached to applets.
    (Closes: #723118)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Oct 2013 17:11:22 +0200

icedtea-web (1.4-3~deb7u1) stable-security; urgency=low

  * Build for stable

 -- Moritz Mühlenhoff <jmm@debian.org>  Sun, 07 Jul 2013 18:29:00 +0200

icedtea-web (1.4-3) unstable; urgency=low

  * Update from the 1.4 branch:
    - Fix PR1465, java.io.FileNotFoundException while trying to download
      a JAR file.
    - Fix PR1473, javaws should not depend on name of local file.
    - Fix PR854, resizing an applet several times causes 100% CPU load.
      Closes: #707729.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Jul 2013 11:01:08 +0200

icedtea-web (1.4-2) unstable; urgency=low

  * Fix icedtea-web for use with OpenJDK 7u25.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 17:34:23 +0200

icedtea-web (1.4-1) unstable; urgency=low

  * IcedTea-Web 1.4 release.
  * Stop building the icedtea6-plugin transitional package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 May 2013 18:26:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: icedtea-web
 Section: java
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
+Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless, dh-autoreconf
+Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
 Standards-Version: 3.9.3
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
@@ -24,17 +23,6 @@
  IcedTea's NetX currently supports verification of signed jars, trusted
  certificate storing, system certificate store checking, and provides
  the services specified by the jnlp API.
-
-Package: icedtea6-plugin
-Section: web
-Architecture: all
-Depends: icedtea-6-plugin, ${misc:Depends}
-Description: web browser plugin to execute Java applets (dependency package)
- IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
- LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
- browsers that support the NPAPI.
- .
- This is a dependency package, it can be safely removed after upgrade.
 
 Package: icedtea-plugin
 Section: web
@@ -91,3 +79,14 @@
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
  browsers that support the NPAPI.
+
+Package: icedtea6-plugin
+Section: web
+Architecture: all
+Depends: icedtea-6-plugin, ${misc:Depends}
+Description: web browser plugin to execute Java applets (dependency package)
+ IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
+ LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
+ browsers that support the NPAPI.
+ .
+ This is a dependency package, it can be safely removed after upgrade.

=== debian/rules ===
--- 
+++ 
@@ -54,11 +54,16 @@
 else
   is7_default = yes
   default_version = 7
-  ifneq (,$(filter $(distrel), wheezy sid))
+  ifneq (,$(filter $(distrel), sid))
     default_plugin_version = 6
   else
     default_plugin_version = 7
   endif
+endif
+
+# dependency package for older releases
+ifeq (,$(filter $(distrel),hardy intrepid jaunty karmic lucid maverick natty oneiric precise quantal raring lenny etch squeeze wheezy))
+  nopkgs = -Nicedtea6-plugin
 endif
 
 TOP = usr/lib/jvm
@@ -189,6 +194,7 @@
 	     $(if $(DEB_HOST_MULTIARCH),debian/control.common) \
 	     $(if $(filter 6, $(jre_versions)),debian/control.6) \
 	     $(if $(filter 7, $(jre_versions)),debian/control.7) \
+	     $(if $(nopkgs),,debian/control.compat) \
 	     $(if $(DEB_HOST_MULTIARCH),,| grep -v '^Multi-Arch:') \
 		  > debian/control
 	@if cmp -s debian/control debian/control.old; then \
@@ -229,13 +235,3 @@
 	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
 	      -e 's,@last_npp_version@,$(last_npp_version),g' \
 	      -e 's,@java_launcher@,$(java_launcher),g' \
-	      -e 's,@java7_launcher@,$(java7_launcher),g' \
-	    $$f > $$f2; \
-	done
-
-configure: configure-stamp $(if $(filter 7,$(jre_versions)),configure7-stamp)
-configure-stamp:
-	dh_testdir
-	rm -rf build
-	mkdir -p build
-	cd build \

## icedtea-web 1.5

=== tests/reproducers/custom/AppletExtendsFromOutsideJar/srcs/Makefile ===
TESTNAME=AppletExtendsFromOutsideJar

SRC_FILES=AppletReferenceInSameJar.java AppletReferenceOutOfJar.java Referenced.java
JAR_FILES=AppletReferenceInSameJar.class Referenced.class
OUTER_FILE=AppletReferenceOutOfJar.class

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(BOOT_DIR)/bin/javac
JAR=$(BOOT_DIR)/bin/jar

TMPDIR:=$(shell mktemp -d)

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)
	
	cd $(TMPDIR); \
	$(JAR) cvf $(TESTNAME).jar $(JAR_FILES); \
	mv $(OUTER_FILE) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	mv $(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/AppletFolderInArchiveTag/srcs/Makefile ===
TESTNAME=AppletFolderInArchiveTag
ARCHIVE_TEST_FOLDER=archive_tag_folder_test
JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
DEPLOY_SUBDIR=$(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)/$(ARCHIVE_TEST_FOLDER)
INDEX_HTML_BODY="<html><body><h1>Required to recognize folder structure</h1></body></html>"

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	mkdir -p $(DEPLOY_SUBDIR)
	echo $(INDEX_HTML_BODY) > $(DEPLOY_SUBDIR)/index.html
	$(EXPORTED_JAVAC) -classpath $(JAVAC_CLASSPATH) -d $(DEPLOY_SUBDIR) $(TESTNAME).java
	echo PREPARED REPRODUCER $(TESTNAME)

clean-reproducer:
	echo CLEANING REPRODUCER $(TESTNAME)
	rm -rf $(DEPLOY_SUBDIR)
	echo CLEANED REPRODUCER $(TESTNAME)

=== debian/changelog ===
icedtea-web (1.5-1ubuntu1) trusty; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 18:00:19 +0200

icedtea-web (1.5-1) sid; urgency=medium

  * IcedTea-Web 1.5 release.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Apr 2014 17:38:58 +0200

icedtea-web (1.4.2-1) unstable; urgency=high

  * IcedTea-Web 1.4.2 release.
    - Security Updates- CVE-2012-4540: Heap-based buffer overflow after
      triggering event.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Feb 2014 21:11:35 +0100

icedtea-web (1.4.1-1ubuntu1) trusty; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 17:51:32 +0200

icedtea-web (1.4.1-1) unstable; urgency=low

  * IcedTea-Web 1.4.1 release.
  * Build for AArch64.
  * Don't build icedtea-6-plugin on KFreeBSD.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 17:20:43 +0200

icedtea-web (1.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add CVE-2013-4349.diff patch.
    CVE-2013-4349: Fix IcedTeaScriptableJavaObject::invoke off-by-one
    heap-based buffer overflow after triggering event attached to applets.
    (Closes: #723118)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Sep 2013 10:00:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@ubuntu.com>, Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 5), xulrunner-dev (>= 1.9.1.3-3) [!alpha !sparc64], openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), dh-autoreconf,
+ firefox-dev, openjdk-7-jdk, zip, lsb-release, libgtk2.0-dev, pkg-config, default-jre-headless
+Standards-Version: 3.9.5
 Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
 Vcs-Bzr: http://bazaar.launchpad.net/~openjdk/openjdk/icedtea-web
 Vcs-Browser: https://code.launchpad.net/~openjdk/openjdk/icedtea-web
 
 Package: icedtea-netx
-Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: ${netx:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
@@ -50,7 +51,7 @@
 
 Package: icedtea-6-plugin
 Section: web
-Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
+Architecture: amd64 armel armhf hurd-i386 i386 ia64 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: openjdk-6-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
@@ -67,7 +68,7 @@
 
 Package: icedtea-7-plugin
 Section: web
-Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
+Architecture: amd64 armel armhf arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc
 Multi-Arch: same
 Depends: openjdk-7-jre, icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
@@ -79,14 +80,3 @@
  IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
  LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
  browsers that support the NPAPI.
-
-Package: icedtea6-plugin
-Section: web
-Architecture: all
-Depends: icedtea-6-plugin, ${misc:Depends}
-Description: web browser plugin to execute Java applets (dependency package)
- IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
- LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
- browsers that support the NPAPI.
- .
- This is a dependency package, it can be safely removed after upgrade.

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	LDFLAGS='$(shell dpkg-buildflags --get LDFLAGS)'
 endif
 
-arch_map	 := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
-archdir_map     := alpha=alpha arm=arm armel=arm amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64
+arch_map	 := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 lpia=i586 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparc64 sh4=sh s390=s390 s390x=s390x ia64=ia64
+archdir_map     := alpha=alpha arm=arm armel=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 lpia=i386 m68k=m68k mips=mips mipsel=mipsel powerpc=ppc powerpcspe=ppc ppc64=ppc64 sparc=sparc sparc64=sparcv9 sh4=sh s390=s390 s390x=s390x ia64=ia64
 
 jvmarch	  := $(strip $(patsubst $(DEB_HOST_ARCH)=%, %, \
 			   $(filter $(DEB_HOST_ARCH)=%, $(arch_map))))
@@ -54,7 +54,7 @@
 else
   is7_default = yes
   default_version = 7
-  ifneq (,$(filter $(distrel), sid))
+  ifneq (,$(filter $(distrel), wheezy))
     default_plugin_version = 6
   else
     default_plugin_version = 7
@@ -234,4 +234,3 @@
 	      -e 's/@pkg_plugin7@/$(p_plug7)/g' \
 	      -e 's,@browser_dirs@,$(browser_plugin_dirs),g' \
 	      -e 's,@last_npp_version@,$(last_npp_version),g' \
-	      -e 's,@java_launcher@,$(java_launcher),g' \
